/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



// ----------------------------------------------------------------
// Sample captured at: 2015-10-31 23:22:00 local, 2015-11-01 06:22:00 GMT
AlgDlsMinuteData *activity_sample_2015_10_31_23_22_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME temp_113048
  //> TEST_VERSION 2
  //> TEST_TOTAL 550
  //> TEST_TOTAL_MIN 500
  //> TEST_TOTAL_MAX 600
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    // 15: Local time: 11:37:00 PM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    // 30: Local time: 11:52:00 PM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    // 45: Local time: 12:07:00 AM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    // 60: Local time: 12:22:00 AM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    // 75: Local time: 12:37:00 AM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 139},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    // 90: Local time: 12:52:00 AM
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    // 105: Local time: 01:07:00 AM
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    // 120: Local time: 01:22:00 AM
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    // 135: Local time: 01:37:00 AM
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    // 150: Local time: 01:52:00 AM
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 137},
    // 165: Local time: 01:07:00 AM
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 180: Local time: 01:22:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 195: Local time: 01:37:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 210: Local time: 01:52:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 225: Local time: 02:07:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 240: Local time: 02:22:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 255: Local time: 02:37:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 270: Local time: 02:52:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 285: Local time: 03:07:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 300: Local time: 03:22:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    // 315: Local time: 03:37:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    // 330: Local time: 03:52:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 345: Local time: 04:07:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 360: Local time: 04:22:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 375: Local time: 04:37:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 390: Local time: 04:52:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 405: Local time: 05:07:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 420: Local time: 05:22:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 435: Local time: 05:37:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 450: Local time: 05:52:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    // 465: Local time: 06:07:00 AM
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 134},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    // 480: Local time: 06:22:00 AM
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 135},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 136},
    { 0, 0x62, 0, 137},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 138},
    { 0, 0x62, 0, 139},
    { 0, 0x62, 0, 140},
    { 0, 0x62, 0, 140},
    { 0, 0x62, 0, 140},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    // 495: Local time: 06:37:00 AM
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 149},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 149},
    { 0, 0x62, 0, 150},
    // 510: Local time: 06:52:00 AM
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 149},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 160},
    // 525: Local time: 07:07:00 AM
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 161},
    // 540: Local time: 07:22:00 AM
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    // 555: Local time: 07:37:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    // 570: Local time: 07:52:00 AM
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 165},
    // 585: Local time: 08:07:00 AM
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 168},
    // 600: Local time: 08:22:00 AM
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 161},
    // 615: Local time: 08:37:00 AM
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 158},
    // 630: Local time: 08:52:00 AM
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 151},
    // 645: Local time: 09:07:00 AM
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 160},
    // 660: Local time: 09:22:00 AM
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 160},
    // 675: Local time: 09:37:00 AM
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 170},
    { 0, 0x62, 0, 170},
    { 0, 0x62, 0, 170},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 170},
    { 0, 0x62, 0, 168},
    // 690: Local time: 09:52:00 AM
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 163},
    // 705: Local time: 10:07:00 AM
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 169},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 169},
    { 0, 0x62, 0, 165},
    // 720: Local time: 10:22:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 169},
    { 0, 0x62, 0, 169},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 169},
    { 0, 0x62, 0, 163},
    { 0, 0x62, 0, 165},
    // 735: Local time: 10:37:00 AM
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 168},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    // 750: Local time: 10:52:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    // 765: Local time: 11:07:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    // 780: Local time: 11:22:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 168},
    // 795: Local time: 11:37:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    // 810: Local time: 11:52:00 AM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    { 0, 0x62, 0, 165},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 167},
    // 825: Local time: 12:07:00 PM
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 167},
    { 0, 0x62, 0, 166},
    // 840: Local time: 12:22:00 PM
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 164},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    // 855: Local time: 12:37:00 PM
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 162},
    { 0, 0x62, 0, 160},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 161},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 154},
    // 870: Local time: 12:52:00 PM
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 159},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    // 885: Local time: 01:07:00 PM
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    // 900: Local time: 01:22:00 PM
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    // 915: Local time: 01:37:00 PM
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    // 930: Local time: 01:52:00 PM
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 158},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 157},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 156},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 156},
    // 945: Local time: 02:07:00 PM
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    // 960: Local time: 02:22:00 PM
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    // 975: Local time: 02:37:00 PM
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 155},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    // 990: Local time: 02:52:00 PM
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 154},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    // 1005: Local time: 03:07:00 PM
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 151},
    { 0, 0x62, 0, 151},
    // 1020: Local time: 03:22:00 PM
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 153},
    { 0, 0x62, 0, 152},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 149},
    { 0, 0x62, 0, 150},
    { 0, 0x62, 0, 149},
    { 0, 0x62, 0, 148},
    // 1035: Local time: 03:37:00 PM
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 148},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 147},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 146},
    // 1050: Local time: 03:52:00 PM
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 146},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 145},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    // 1065: Local time: 04:07:00 PM
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 144},
    // 1080: Local time: 04:22:00 PM
    { 0, 0x62, 0, 143},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 144},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 140},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 143},
    { 0, 0x62, 6, 142},
    { 0, 0x62, 0, 142},
    // 1095: Local time: 04:37:00 PM
    { 0, 0x62, 0, 142},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 141},
    { 0, 0x62, 0, 142},
    { 0, 0x23, 3949, 161},
    { 0, 0xe, 0, 161},
    { 0, 0xe, 0, 161},
    { 0, 0xe, 0, 161},
    { 0, 0xe, 0, 160},
    { 0, 0xe, 0, 161},
    { 0, 0xe, 0, 160},
    { 0, 0xe, 0, 160},
    { 0, 0xe, 0, 160},
    { 0, 0xe, 0, 160},
    // 1110: Local time: 04:52:00 PM
    { 0, 0xe, 0, 159},
    { 0, 0xe, 0, 159},
    { 0, 0xe, 0, 158},
    { 0, 0xe, 0, 158},
    { 0, 0xe, 0, 158},
    { 0, 0xe, 0, 158},
    { 0, 0xe, 0, 157},
    { 0, 0xe, 0, 157},
    { 0, 0xe, 0, 150},
    { 0, 0xe, 0, 149},
    { 0, 0xe, 0, 149},
    { 0, 0xe, 0, 148},
    { 0, 0xe, 0, 147},
    { 0, 0xe, 0, 146},
    { 0, 0xe, 0, 146},
    // 1125: Local time: 05:07:00 PM
    { 0, 0xe, 0, 145},
    { 0, 0xe, 0, 145},
    { 0, 0xe, 0, 145},
    { 0, 0xe, 0, 145},
    { 0, 0xe, 0, 144},
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 142},
    { 0, 0xe, 0, 142},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 143},
    // 1140: Local time: 05:22:00 PM
    { 0, 0xe, 0, 143},
    { 0, 0xe, 0, 142},
    { 0, 0xe, 0, 142},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 141},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 140},
    { 0, 0xe, 0, 139},
    { 0, 0xe, 0, 162},
    // 1155: Local time: 05:37:00 PM
    { 0, 0xe, 0, 158},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1170: Local time: 05:52:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    // 1185: Local time: 06:07:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1200: Local time: 06:22:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1215: Local time: 06:37:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1230: Local time: 06:52:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1245: Local time: 07:07:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1260: Local time: 07:22:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1275: Local time: 07:37:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1290: Local time: 07:52:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1305: Local time: 08:07:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1320: Local time: 08:22:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1335: Local time: 08:37:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    // 1350: Local time: 08:52:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0x0, 0, 148},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    // 1365: Local time: 09:06:00 PM
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 155},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1380: Local time: 09:21:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    // 1395: Local time: 09:36:00 PM
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0xe, 0, 156},
    { 0, 0x19, 1457, 195},
    { 12, 0x6c, 5165, 162},
    { 0, 0x59, 4217, 137},
    { 0, 0x59, 576, 141},
    { 0, 0x59, 1029, 141},
    { 0, 0x59, 154, 137},
    { 0, 0x57, 703, 144},
    { 0, 0x55, 0, 144},
    { 0, 0x55, 0, 144},
    { 0, 0x55, 0, 145},
    { 0, 0x55, 0, 142},
    // 1410: Local time: 09:51:00 PM
    { 0, 0x55, 0, 145},
    { 0, 0x55, 0, 141},
    { 0, 0x55, 0, 145},
    { 0, 0x55, 0, 145},
    { 0, 0x55, 0, 143},
    { 0, 0x55, 0, 146},
    { 0, 0x55, 0, 141},
    { 0, 0x55, 0, 146},
    { 0, 0x55, 0, 146},
    { 0, 0x55, 0, 143},
    { 0, 0x55, 0, 146},
    { 0, 0x55, 1885, 139},
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 141},
    // 1425: Local time: 10:06:00 PM
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 140},
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 141},
    { 0, 0x16, 0, 144},
    { 0, 0x16, 0, 146},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 146},
    { 0, 0x16, 0, 146},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    // 1440: Local time: 10:22:00 PM
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    // 1455: Local time: 10:37:00 PM
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    // 1470: Local time: 10:52:00 PM
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 0, 147},
    { 0, 0x16, 30, 147},
    { 0, 0x69, 856, 148},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    // 1485: Local time: 11:07:00 PM
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 5, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 266, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    // 1500: Local time: 11:22:00 PM
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    // 1515: Local time: 11:37:00 PM
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    // 1530: Local time: 11:53:00 PM
    { 0, 0x69, 0, 147},
    { 0, 0x69, 0, 147},
    { 0, 0x4a, 2355, 145},
    { 0, 0x6b, 0, 145},
    { 0, 0x6b, 0, 141},
    { 0, 0x5b, 24, 144},
    { 0, 0x6b, 0, 143},
    { 0, 0x6b, 0, 143},
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 139},
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 138},
    // 1545: Local time: 12:08:00 AM
    { 0, 0x6b, 0, 142},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 138},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 139},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 138},
    // 1560: Local time: 12:23:00 AM
    { 0, 0x6b, 0, 141},
    { 0, 0x6b, 0, 141},
    { 0, 0x77, 801, 141},
    { 0, 0x76, 249, 142},
    { 0, 0x76, 0, 139},
    { 0, 0x76, 0, 143},
    { 0, 0x76, 0, 143},
    { 0, 0x77, 531, 143},
    { 0, 0x77, 0, 143},
    { 0, 0x77, 0, 140},
    { 0, 0x77, 538, 144},
    { 0, 0x71, 3, 144},
    { 0, 0x70, 0, 144},
    { 0, 0x70, 0, 144},
    { 0, 0x70, 0, 142},
    // 1575: Local time: 12:38:00 AM
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 89, 145},
    { 0, 0x70, 0, 142},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 140},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 142},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 140},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 145},
    { 0, 0x70, 0, 143},
    // 1590: Local time: 12:53:00 AM
    { 0, 0x70, 0, 145},
    { 0, 0x63, 2207, 141},
    { 0, 0x25, 0, 145},
    { 0, 0x25, 0, 144},
    { 0, 0x25, 0, 141},
    { 0, 0x25, 0, 144},
    { 0, 0x25, 0, 139},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 140},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 140},
    // 1605: Local time: 01:08:00 AM
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 140},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 141},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 141},
    // 1620: Local time: 01:23:00 AM
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 141},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 140},
    { 0, 0x26, 0, 143},
    { 0, 0x26, 0, 143},
    { 0, 0x36, 1591, 144},
    { 0, 0x7c, 247, 143},
    { 0, 0x7b, 0, 140},
    // 1635: Local time: 01:38:00 AM
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 141},
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 141},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 143},
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 141},
    // 1650: Local time: 01:53:00 AM
    { 0, 0x8b, 0, 144},
    { 0, 0x8b, 0, 144},
    { 0, 0x8d, 1904, 144},
    { 0, 0x7e, 0, 143},
    { 0, 0x7d, 0, 140},
    { 0, 0x7d, 0, 143},
    { 0, 0x7d, 0, 143},
    { 0, 0x7d, 0, 143},
    { 0, 0x7d, 0, 143},
    { 0, 0x7d, 0, 141},
    { 0, 0x7d, 0, 143},
    { 0, 0x7d, 0, 142},
    { 0, 0x7c, 1879, 143},
    { 0, 0x67, 0, 143},
    { 0, 0x67, 0, 141},
    // 1665: Local time: 02:08:00 AM
    { 0, 0x67, 0, 143},
    { 0, 0x67, 0, 143},
    { 0, 0x67, 0, 143},
    { 0, 0x67, 0, 143},
    { 0, 0x66, 153, 141},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 140},
    { 0, 0x66, 0, 143},
    { 0, 0x66, 0, 141},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 140},
    { 0, 0x66, 0, 143},
    { 0, 0x66, 0, 142},
    // 1680: Local time: 02:23:00 AM
    { 0, 0x66, 0, 144},
    { 0, 0x68, 1189, 144},
    { 0, 0x4c, 0, 140},
    { 0, 0x4c, 0, 143},
    { 0, 0x4c, 0, 140},
    { 0, 0x4c, 0, 143},
    { 0, 0x4c, 0, 143},
    { 0, 0x4c, 0, 137},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 140},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 258, 141},
    { 0, 0x4c, 0, 139},
    // 1695: Local time: 02:38:00 AM
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 141},
    { 0, 0x4c, 0, 139},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 144},
    { 0, 0x4c, 0, 142},
    { 0, 0x4c, 0, 141},
    { 0, 0x4c, 0, 139},
    { 0, 0x4c, 0, 142},
    { 0, 0x9, 774, 142},
    { 0, 0x4, 0, 141},
    { 0, 0x4, 0, 140},
    { 0, 0x4, 0, 139},
    // 1710: Local time: 02:53:00 AM
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 141},
    { 0, 0x4, 0, 139},
    { 0, 0x4, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 143},
    { 0, 0x5, 0, 140},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 140},
    // 1725: Local time: 03:08:00 AM
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 142},
    { 0, 0x5, 0, 140},
    { 0, 0x5, 0, 143},
    { 0, 0x5, 0, 143},
    { 0, 0x5, 0, 143},
    { 0, 0x5, 0, 141},
    { 0, 0x5, 0, 140},
    { 0, 0x4, 127, 143},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 140},
    // 1740: Local time: 03:23:00 AM
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 141},
    { 0, 0x4, 0, 140},
    { 0, 0x4, 0, 142},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 132},
    { 0, 0x4, 0, 140},
    { 0, 0x4, 0, 143},
    { 0, 0x4, 0, 143},
    { 0, 0xe, 209, 143},
    { 0, 0xd, 0, 144},
    { 0, 0xd, 0, 140},
    // 1755: Local time: 03:38:00 AM
    { 0, 0xd, 0, 143},
    { 0, 0xd, 0, 143},
    { 0, 0xd, 0, 143},
    { 0, 0xd, 0, 145},
    { 0, 0xd, 0, 140},
    { 0, 0xe, 1, 143},
    { 0, 0xf, 1195, 149},
    { 0, 0x7f, 865, 144},
    { 0, 0x6f, 0, 145},
    { 0, 0x6f, 0, 141},
    { 0, 0x6f, 0, 144},
    { 0, 0x6f, 0, 144},
    { 0, 0x6f, 0, 144},
    { 0, 0x6f, 0, 146},
    { 0, 0x6f, 0, 141},
    // 1770: Local time: 03:53:00 AM
    { 0, 0x6e, 0, 144},
    { 0, 0x7e, 1576, 144},
    { 0, 0x68, 631, 144},
    { 0, 0x78, 0, 144},
    { 0, 0x55, 583, 142},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 141},
    { 0, 0x44, 0, 144},
    { 0, 0x34, 0, 144},
    { 0, 0x44, 103, 144},
    { 0, 0x44, 1, 144},
    { 0, 0x44, 0, 141},
    // 1785: Local time: 04:08:00 AM
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 143},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 141},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 141},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 140},
    // 1800: Local time: 04:23:00 AM
    { 0, 0x44, 0, 145},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 141},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 0, 144},
    { 0, 0x44, 3665, 144},
    { 0, 0x52, 5427, 144},
    { 0, 0x34, 5043, 140},
    { 0, 0x24, 430, 143},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 140},
    // 1815: Local time: 04:38:00 AM
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 141},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 143},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 141},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 144},
    { 0, 0x24, 0, 144},
    { 0, 0x34, 400, 224},
    { 0, 0x87, 1392, 141},
    // 1830: Local time: 04:53:00 AM
    { 0, 0x88, 0, 143},
    { 0, 0x88, 0, 143},
    { 0, 0x88, 0, 143},
    { 0, 0x88, 0, 143},
    { 0, 0x88, 0, 140},
    { 0, 0x88, 6, 143},
    { 0, 0x79, 123, 143},
    { 0, 0x7c, 36, 143},
    { 0, 0x7c, 0, 143},
    { 0, 0x7c, 0, 141},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 143},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 144},
    { 0, 0x7b, 0, 141},
    // 1845: Local time: 05:08:00 AM
    { 0, 0x7b, 0, 144},
    { 0, 0x8d, 1583, 144},
    { 0, 0x72, 0, 144},
    { 0, 0x72, 0, 144},
    { 0, 0x72, 0, 142},
    { 0, 0x72, 0, 144},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 144},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 142},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 36, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 1, 142},
    // 1860: Local time: 05:23:00 AM
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 1, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 141},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 6, 141},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 143},
    { 0, 0x72, 8, 145},
    { 0, 0x72, 0, 141},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 142},
    // 1875: Local time: 05:38:00 AM
    { 0, 0x72, 22, 145},
    { 0, 0x72, 0, 141},
    { 0, 0x72, 56, 146},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 142},
    { 0, 0x72, 41, 145},
    { 0, 0x72, 0, 140},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 142},
    { 0, 0x72, 15, 145},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 146},
    { 0, 0x72, 0, 145},
    { 0, 0x72, 0, 142},
    // 1890: Local time: 05:53:00 AM
    { 0, 0x73, 2961, 146},
    { 0, 0x56, 12, 144},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 144},
    { 0, 0x66, 122, 142},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 0, 144},
    { 0, 0x66, 853, 145},
    { 0, 0x56, 20, 141},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 106, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 142},
    // 1905: Local time: 06:08:00 AM
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 142},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 142},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 142},
    // 1920: Local time: 06:23:00 AM
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 144},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 0, 142},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 27, 144},
    { 0, 0x56, 0, 145},
    { 0, 0x56, 8, 145},
    { 0, 0x56, 60, 142},
    { 0, 0x69, 2273, 145},
    { 0, 0x69, 1414, 144},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 142},
    // 1935: Local time: 06:38:00 AM
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 15, 142},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 5, 145},
    { 0, 0x7e, 0, 143},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 3, 145},
    { 0, 0x7e, 0, 143},
    // 1950: Local time: 06:53:00 AM
    { 0, 0x7e, 0, 146},
    { 0, 0x7e, 0, 145},
    { 0, 0x7e, 0, 146},
    { 0, 0x76, 1416, 145},
    { 0, 0x66, 0, 142},
    { 0, 0x68, 387, 144},
    { 0, 0x59, 1867, 142},
    { 0, 0x27, 469, 144},
    { 0, 0x3b, 1442, 146},
    { 0, 0x2c, 440, 140},
    { 0, 0x1c, 0, 143},
    { 0, 0x3c, 552, 145},
    { 0, 0x3c, 230, 143},
    { 0, 0xc, 189, 142},
    { 0, 0x1c, 363, 146},
    // 1965: Local time: 07:08:00 AM
    { 0, 0x3c, 194, 149},
    { 0, 0x2c, 199, 144},
    { 0, 0x2c, 56, 144},
    { 0, 0x3c, 44, 152},
    { 0, 0x3d, 2693, 147},
    { 0, 0x24, 2586, 150},
    { 0, 0x35, 1180, 143},
    { 0, 0x27, 1531, 143},
    { 0, 0x2c, 1084, 151},
    { 0, 0x4a, 3730, 145},
    { 0, 0x2b, 4184, 239},
    { 0, 0x11, 2459, 143},
    { 0, 0x11, 10, 140},
    { 0, 0x11, 36, 140},
    { 0, 0x21, 70, 136},
    // 1980: Local time: 07:24:00 AM
    { 0, 0x20, 43, 139},
    { 0, 0x2f, 134, 139},
    { 0, 0x20, 0, 139},
    { 0, 0x20, 0, 139},
    { 0, 0x20, 0, 137},
    { 0, 0x20, 0, 139},
    { 0, 0x20, 60, 139},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 142},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 137},
    // 1995: Local time: 07:39:00 AM
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 140},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 138},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 138},
    { 0, 0x10, 0, 142},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 141},
    { 0, 0x10, 0, 138},
    // 2010: Local time: 07:54:00 AM
    { 0, 0x11, 27, 142},
    { 7, 0x33, 9060, 163},
    { 33, 0x53, 8139, 193},
    { 0, 0x41, 9218, 165},
    { 31, 0x52, 8922, 141},
    { 37, 0x54, 10374, 154},
    { 24, 0x55, 5396, 161},
    { 35, 0x44, 7817, 162},
    { 0, 0x54, 5188, 165},
    { 15, 0x54, 5041, 153},
    { 0, 0x64, 3233, 176},
    { 0, 0x54, 2429, 177},
    { 0, 0x55, 5523, 176},
    { 0, 0x55, 4393, 166},
    { 10, 0x44, 3315, 169},
    // 2025: Local time: 08:09:00 AM
    { 0, 0x53, 4962, 163},
    { 0, 0x52, 5348, 167},
    { 0, 0x63, 2963, 159},
    { 0, 0x54, 6656, 160},
    { 10, 0x75, 1910, 152},
    { 28, 0x54, 4221, 158},
    { 0, 0x54, 5678, 170},
    { 13, 0x54, 5688, 160},
    { 29, 0x43, 6157, 165},
    { 0, 0x64, 4646, 179},
    { 0, 0x62, 0, 178},
    { 0, 0x62, 70, 180},
    { 0, 0x62, 920, 183},
    { 0, 0x64, 2691, 187},
    { 0, 0x73, 466, 188},
    // 2040: Local time: 08:24:00 AM
    { 0, 0x73, 280, 184},
    { 0, 0x64, 2163, 182},
    { 0, 0x77, 82, 183},
    { 0, 0x77, 0, 183},
    { 0, 0x54, 246, 186},
    { 0, 0x54, 0, 186},
    { 0, 0x54, 0, 187},
    { 0, 0x54, 153, 187},
    { 0, 0x54, 1072, 187},
    { 0, 0x54, 294, 185},
    { 0, 0x75, 2452, 188},
    { 0, 0x64, 421, 190},
    { 0, 0x54, 1221, 190},
    { 0, 0x54, 314, 190},
    { 0, 0x54, 1402, 190},
    // 2055: Local time: 08:39:00 AM
    { 0, 0x54, 473, 190},
    { 0, 0x75, 1333, 188},
    { 15, 0x74, 2016, 181},
    { 12, 0x53, 6597, 175},
    { 16, 0x53, 7234, 180},
    { 0, 0x43, 7239, 196},
    { 0, 0x53, 10416, 178},
    { 12, 0x53, 7423, 180},
    { 11, 0x54, 5491, 179},
    { 37, 0x54, 6027, 172},
    { 21, 0x33, 6206, 174},
    { 30, 0x53, 7404, 187},
    { 0, 0x53, 8013, 187},
    { 0, 0x44, 3262, 179},
    { 0, 0x45, 43, 175},
    // 2070: Local time: 08:54:00 AM
    { 0, 0x45, 621, 183},
    { 0, 0x45, 5797, 179},
    { 0, 0x63, 3484, 191},
    { 0, 0x73, 1786, 182},
    { 0, 0x63, 3992, 180},
    { 0, 0x73, 194, 189},
    { 0, 0x74, 1421, 184},
    { 0, 0x73, 2841, 191},
    { 0, 0x73, 316, 190},
    { 0, 0x73, 344, 187},
    { 0, 0x73, 844, 191},
    { 0, 0x73, 462, 192},
    { 0, 0x73, 0, 184},
    { 0, 0x73, 258, 195},
    { 0, 0x73, 889, 194},
    // 2085: Local time: 09:09:00 AM
    { 0, 0x73, 36, 198},
    { 0, 0x73, 0, 199},
    { 0, 0x73, 927, 202},
    { 0, 0x74, 3469, 205},
    { 0, 0x73, 574, 206},
    { 0, 0x63, 67, 205},
    { 0, 0x73, 277, 197},
    { 0, 0x73, 486, 201},
    { 0, 0x73, 254, 201},
    { 0, 0x74, 1266, 186},
    { 0, 0x64, 6614, 185},
    { 0, 0x43, 7371, 192},
    { 9, 0x53, 6762, 197},
    { 0, 0x64, 5842, 195},
    { 0, 0x55, 6143, 188},
    // 2100: Local time: 09:24:00 AM
    { 0, 0x55, 8769, 186},
    { 0, 0x55, 4265, 182},
    { 0, 0x65, 2264, 184},
    { 0, 0x75, 1307, 184},
    { 0, 0x74, 1407, 188},
    { 0, 0x65, 2572, 190},
    { 0, 0x64, 4687, 189},
    { 0, 0x65, 6318, 189},
    { 0, 0x74, 1366, 189},
    { 0, 0x64, 3192, 186},
    { 0, 0x54, 1989, 183},
    { 0, 0x55, 2367, 187},
    { 0, 0x64, 5766, 189},
    { 0, 0x65, 6996, 191},
    { 0, 0x75, 4823, 188},
    // 2115: Local time: 09:39:00 AM
    { 0, 0x74, 4117, 187},
    { 0, 0x65, 3260, 187},
    { 10, 0x54, 3266, 184},
    { 10, 0x65, 2159, 190},
    { 18, 0x55, 5463, 186},
    { 0, 0x65, 2221, 187},
    { 0, 0x65, 1300, 187},
    { 0, 0x55, 2433, 186},
    { 0, 0x55, 1791, 193},
    { 0, 0x64, 3040, 195},
    { 0, 0x65, 3045, 186},
    { 0, 0x55, 1701, 185},
    { 10, 0x65, 2643, 186},
    { 0, 0x75, 1497, 187},
    { 0, 0x74, 187, 198},
    // 2130: Local time: 09:54:00 AM
    { 0, 0x74, 227, 198},
    { 0, 0x74, 0, 197},
    { 0, 0x74, 0, 198},
    { 0, 0x74, 987, 197},
    { 0, 0x73, 431, 191},
    { 0, 0x74, 3231, 199},
    { 0, 0x82, 8, 198},
    { 0, 0x74, 158, 187},
    { 0, 0x64, 2286, 190},
    { 0, 0x74, 1283, 191},
    { 0, 0x74, 1491, 192},
    { 0, 0x73, 270, 200},
    { 0, 0x73, 782, 192},
    { 0, 0x84, 853, 203},
    { 21, 0x61, 2987, 191},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

